oce.as.raw {oce} | R Documentation

## Version of as.raw() that clips data

### Description

A version of as.raw() that clips data to prevent warnings

### Usage

    oce.as.raw(x)

### Arguments

`x` | values to be converted to raw

### Details

Negative values are clipped to 0, while values above 255 are clipped to 255; the result is passed to `as.raw` and returned.

### Value

Raw values corresponding to `x`.

### Author(s)

Dan Kelley

### Examples

    x <- c(-0.1, 0, 1, 255, 255.1)
    data.frame(x, oce.as.raw(x))

[Package oce version 0.9-18 Index]